Package org.apache.sling.commons.scheduler

## Interface Job

    @ConsumerType
    public interface Job

A job is executed by the `Scheduler` service. If the implementation of the job requires certain environment information it can implement this interface to get additional information through the provided `JobContext`. If no additional information is required, implementing `Runnable` is sufficient.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute​(JobContext context)` Execute this job.

### Method Detail

#### execute

    void execute​(JobContext context)

Execute this job.

Parameters:
  `context` - The context of the job.